Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 818553 - [eap6] Invalid configuration retrieved on ajp web connector resource
Summary: [eap6] Invalid configuration retrieved on ajp web connector resource
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Agent
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: RHQ 4.4.0
Assignee: Heiko W. Rupp
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: as7-plugin
TreeView+ depends on / blocked
 
Reported: 2012-05-03 10:47 UTC by Libor Zoubek
Modified: 2015-11-02 00:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-31 09:56:28 UTC


Attachments (Terms of Use)

Description Libor Zoubek 2012-05-03 10:47:23 UTC
Description of problem:There are errors when I open  "EAP Domain Controller -> full-ha -> web -> ajp" configuration in UI


Version-Release number of selected component (if applicable):
4.4.0-SNAPSHOT (2484565)
EAP6 ER6

How reproducible:always

Actual results:

 The following configuration properties have invalid values: [Protocol]. The values must be corrected before the configuration can be saved


Expected results:

Correct configuration is retrieved

Comment 1 Heiko W. Rupp 2012-05-03 12:50:17 UTC
AS7 actually returns 

protocol" => "AJP/1.3", 

now and not "AJP

Config parser did not find AJP/1.3 in 

       <c:simple-property name="protocol" required="true" type="string" readOnly="false" default="HTTP/1.1" defaultValue="HTTP/1.1"
                           description="The web connector protocol. (e.g. 'HTTP/1.1' or 'AJP/1.3' or a name of a class implementing ProtocolHandler and MBeanRegistration )">
          <c:property-options >
            <c:option value="HTTP/1.1"/>
            <c:option value="AJP"/>
          </c:property-options>
        </c:simple-property>

Fix is to use 

<c:option value="AJP/1.3"/>

Comment 2 Heiko W. Rupp 2012-05-03 12:52:46 UTC
master 69ec5cd


Note You need to log in before you can comment on or make changes to this bug.